summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMuflone2017-07-02 20:13:31 +0200
committerMuflone2017-07-02 20:13:31 +0200
commit9484f76bf6de99ffc49c2d2ad10daa3eedd3afa3 (patch)
tree0b7d8ec7a26e9d792d80b451dd42ed5f11d4c0ee
parentc6134533a57141186ccce1d61f4464164074af3b (diff)
downloadaur-9484f76bf6de99ffc49c2d2ad10daa3eedd3afa3.tar.gz
Updated package foxitreader 2.4.1.0609-1
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD50
-rw-r--r--foxitreader-excluded_files-i6862
-rw-r--r--foxitreader-excluded_files-x86_644
4 files changed, 44 insertions, 32 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d951439b85f..6ee01f75f38 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Tue Apr 25 16:54:32 UTC 2017
+# Sun Jul 2 18:11:53 UTC 2017
pkgbase = foxitreader
pkgdesc = A fast, secure and complete PDF viewer
- pkgver = 2.4.0.14978
- pkgrel = 2
+ pkgver = 2.4.1.0609
+ pkgrel = 1
url = https://www.foxitsoftware.com/products/pdf-reader/
arch = i686
arch = x86_64
@@ -16,16 +16,16 @@ pkgbase = foxitreader
depends = qt5-webkit
source = https://www.foxitsoftware.com/products/pdf-reader/eula.html
source = foxitreader.patch
- sha256sums = 738fc621a727e0429b9c50580b3c166776797f925f2819037d1414dad0b95f6a
+ sha256sums = c1485614de2b8087d14ab2d7b10e51faaaaf83a96f8bce6a0e1791effadf6079
sha256sums = d85bfa4b293927975182aa6b1582ac064c5732711e5678d5f1ec35e65c78e6d1
- source_i686 = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.0.14978_Server_x86_enu_Setup.run.tar.gz
+ source_i686 = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.1.0609_Server_x86_enu_Setup.run.tar.gz
source_i686 = foxitreader-excluded_files-i686
- sha256sums_i686 = 1804bfcd6b090bc416b815f9dc14488abca9f1cb3785406d250852a79c3972f4
- sha256sums_i686 = a3bc0169502fe781289af3ac9e15255e0a98b0d1fc68c93468c6e5e132ee50b2
- source_x86_64 = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.0.14978_Server_x64_enu_Setup.run.tar.gz
+ sha256sums_i686 = 03dd1c4d248bd1782a9a9dd46836ffec9f38128b5f34ad3370a71d33fd87c9bc
+ sha256sums_i686 = 63cc381589ac06d68b4464cfcc22f85b639957ed1e33320411e92a7582a787b4
+ source_x86_64 = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.tar.gz
source_x86_64 = foxitreader-excluded_files-x86_64
- sha256sums_x86_64 = 678a130e96a53f2b42d966b8e6c33c4563b0740db72d12876496b8657eb45fc4
- sha256sums_x86_64 = 578f1b93ae1eecb67d35f2f908abf0ca611656dbb8211a1be883a8ba01498dc1
+ sha256sums_x86_64 = d8093dd3b3aeb4e788cbdff5f9d05d7557eb440810f6da6bdc4e23447d3a27ba
+ sha256sums_x86_64 = cc68c68441db44cceb5e9bcf9ab8e2851a209147e99b4e0a52133eda0e73a80c
pkgname = foxitreader
diff --git a/PKGBUILD b/PKGBUILD
index ef1b443271a..f3ac2081cbf 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,10 +3,10 @@
# Contributor: TDY <tdy@archlinux.info>
pkgname=foxitreader
-pkgver=2.4.0.14978
-_frrev_i686=r254978
+pkgver=2.4.1.0609
+_frrev_i686=r08f07f8
_frrev_x86_64=${_frrev_i686}
-pkgrel=2
+pkgrel=1
pkgdesc="A fast, secure and complete PDF viewer"
arch=('i686' 'x86_64')
url="https://www.foxitsoftware.com/products/pdf-reader/"
@@ -19,12 +19,12 @@ source_i686=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/
"${pkgname}-excluded_files-i686")
source_x86_64=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/${pkgver%.*.*}/en_us/FoxitReader${pkgver}_Server_x64_enu_Setup.run.tar.gz"
"${pkgname}-excluded_files-x86_64")
-sha256sums=('738fc621a727e0429b9c50580b3c166776797f925f2819037d1414dad0b95f6a'
+sha256sums=('c1485614de2b8087d14ab2d7b10e51faaaaf83a96f8bce6a0e1791effadf6079'
'd85bfa4b293927975182aa6b1582ac064c5732711e5678d5f1ec35e65c78e6d1')
-sha256sums_i686=('1804bfcd6b090bc416b815f9dc14488abca9f1cb3785406d250852a79c3972f4'
- 'a3bc0169502fe781289af3ac9e15255e0a98b0d1fc68c93468c6e5e132ee50b2')
-sha256sums_x86_64=('678a130e96a53f2b42d966b8e6c33c4563b0740db72d12876496b8657eb45fc4'
- '578f1b93ae1eecb67d35f2f908abf0ca611656dbb8211a1be883a8ba01498dc1')
+sha256sums_i686=('03dd1c4d248bd1782a9a9dd46836ffec9f38128b5f34ad3370a71d33fd87c9bc'
+ '63cc381589ac06d68b4464cfcc22f85b639957ed1e33320411e92a7582a787b4')
+sha256sums_x86_64=('d8093dd3b3aeb4e788cbdff5f9d05d7557eb440810f6da6bdc4e23447d3a27ba'
+ 'cc68c68441db44cceb5e9bcf9ab8e2851a209147e99b4e0a52133eda0e73a80c')
build() {
local _file
@@ -84,22 +84,28 @@ check() {
local _file
local _unwanted=0
cd "${srcdir}/${pkgname}-build/lib"
-
- for _file in *
- do
- if [ "${_file}" != 'libQt5PrintSupport.so' -a \
- "${_file}" != 'libQt5PrintSupport.so.5' -a \
- "${_file}" != 'libQt5PrintSupport.so.5.3' -a \
- "${_file}" != 'libQt5PrintSupport.so.5.3.2' ]
+
+ # Check if lib folders is not empty
+ if [ "$(ls -A .)" ]
+ then
+ ls -l
+ # Check every library file
+ for _file in *
+ do
+ if [ "${_file}" != 'libQt5PrintSupport.so' -a \
+ "${_file}" != 'libQt5PrintSupport.so.5' -a \
+ "${_file}" != 'libQt5PrintSupport.so.5.3' -a \
+ "${_file}" != 'libQt5PrintSupport.so.5.3.2' ]
+ then
+ echo " -> Unwanted library ${_file}"
+ _unwanted=1
+ fi
+ done
+ if [ ${_unwanted} -ne 0 ]
then
- echo " -> Unwanted library ${_file}"
- _unwanted=1
+ echo " -> At least an unwanted library exists in $PWD"
+ exit 1
fi
- done
- if [ ${_unwanted} -ne 0 ]
- then
- echo " -> At least an unwanted library exists in $PWD"
- exit 1
fi
}
diff --git a/foxitreader-excluded_files-i686 b/foxitreader-excluded_files-i686
index 7163a1fe295..7a8718e0330 100644
--- a/foxitreader-excluded_files-i686
+++ b/foxitreader-excluded_files-i686
@@ -70,6 +70,8 @@ lib/libQt5Widgets.so.5
lib/libQt5Widgets.so.5.3.2
lib/libQt5Xml.so.5
lib/libQt5Xml.so.5.3.2
+lib/libQt5PrintSupport.so.5
+lib/libQt5PrintSupport.so.5.3.2
# qt5-location
lib/libQt5Positioning.so.5
diff --git a/foxitreader-excluded_files-x86_64 b/foxitreader-excluded_files-x86_64
index ea944666e44..ef1be3b0280 100644
--- a/foxitreader-excluded_files-x86_64
+++ b/foxitreader-excluded_files-x86_64
@@ -89,6 +89,10 @@ lib/libQt5Xml.so
lib/libQt5Xml.so.5
lib/libQt5Xml.so.5.3
lib/libQt5Xml.so.5.3.2
+lib/libQt5PrintSupport.so
+lib/libQt5PrintSupport.so.5
+lib/libQt5PrintSupport.so.5.3
+lib/libQt5PrintSupport.so.5.3.2
# qt5-location
lib/libQt5Positioning.so